Subject: Re: bug#36225: 26.2.90; Can't build master

From: Philipp Stephani <[email-masked]>
Date: Sat, 15 Jun 2019 18:34:32 +0200

Am Sa., 15. Juni 2019 um 18:22 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Philipp <[email-masked]>
> > Date: Sat, 15 Jun 2019 17:39:10 +0200
> >
> >
> > My repository is at commit 4058102c7cf3b96bb125473e407877c6dd7dfd61, but
> > I can't build:
> >
> > $ make
> > /Applications/Xcode.app/Contents/Developer/usr/bin/make -C lib all
> > make[1]: Nothing to be done for `all'.
> > /Applications/Xcode.app/Contents/Developer/usr/bin/make -C lib-src all
> > make[1]: Nothing to be done for `all'.
> > /Applications/Xcode.app/Contents/Developer/usr/bin/make -C src VCSWITNESS='$(srcdir)/../.git/logs/HEAD' all
> >   CC       pdumper.o
> > pdumper.c:2309:3: error: "Lisp_Buffer_Objfwd changed. See CHECK_STRUCTS comment."
> > # error "Lisp_Buffer_Objfwd changed. See CHECK_STRUCTS comment."
> >   ^
>
> The comment to CHECK_STRUCTS in src/config.h tells you what to do in
> this case.

Yes, it says "If you change one of these structures, check that the
pdumper.c code is still valid", but since I didn't change the
structure, I can't decide whether the pdumper code is still valid.
Whoever changed the definition of Lisp_Buffer_Objfwd should make that
call.